Retrieve Glossary Entries
curl --request GET \
--url https://api.deepl.com/v3/glossaries/{glossary_id}/entries \
--header 'Authorization: <api-key>'{
"dictionaries": [
{
"source_lang": "en",
"target_lang": "de",
"entries": "Hello\tGuten Tag",
"entries_format": "tsv"
}
]
}{
"message": "Invalid glossary entries provided",
"detail": "Key with the index 1 (starting at position 13) duplicates key with the index 0 (starting at position 0)"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Glossaries
Retrieve glossary entries
List the entries of a single glossary in tsv format.
GET
/
v3
/
glossaries
/
{glossary_id}
/
entries
Retrieve Glossary Entries
curl --request GET \
--url https://api.deepl.com/v3/glossaries/{glossary_id}/entries \
--header 'Authorization: <api-key>'{
"dictionaries": [
{
"source_lang": "en",
"target_lang": "de",
"entries": "Hello\tGuten Tag",
"entries_format": "tsv"
}
]
}{
"message": "Invalid glossary entries provided",
"detail": "Key with the index 1 (starting at position 13) duplicates key with the index 0 (starting at position 0)"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Path Parameters
A unique ID assigned to the glossary.
Query Parameters
The language in which the source texts in the glossary are specified.
Available options:
ar, bg, cs, da, de, el, en, es, et, fi, fr, he, hu, id, it, ja, ko, lt, lv, nb, nl, pl, pt, ro, ru, sk, sl, sv, th, tr, uk, vi, zh Example:
"en"
The language in which the target texts in the glossary are specified.
Available options:
ar, bg, cs, da, de, el, en, es, et, fi, fr, he, hu, id, it, ja, ko, lt, lv, nb, nl, pl, pt, ro, ru, sk, sl, sv, th, tr, uk, vi, zh Example:
"de"
Response
The entries in tsv, wrapped in a JSON object.
The dictionaries of the glossary, each with its entries in the requested format.
Show child attributes
Show child attributes